# Generated from super_prompt-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name super_prompt

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Super Prompt: Customizable Bash prompt that provides the user with a wealth of information at a glance
License: MIT
URL: https://github.com/lair001/super-prompt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 0.95
BuildArch: noarch

%description
This gem installs Super Prompt.  Super Prompt is a customizable Bash prompt
that provides the user with a wealth of information at a glance including git
branch, present working directory (pwd), whether the last command succeeded,
warns the user if the user is root, date, time, user, host name, command
number and history number.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/super_prompt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.1-1
- Initial package
